DU(1)

NAME
du - display disk usage statistics

SYNOPSIS
du [-H | -L | -P] [-a | -s | -d depth] [-c] [-h | -k | -m | -g] [-x] [-I mask] [file ...]

DESCRIPTION
The du utility displays the file system block usage for each file argument and for each directory in the file hierarchy rooted in each directory argument. If no file is specified, the block usage of the hierarchy rooted in the current directory is displayed.

The options are as follows:

-a  Display an entry for each file in a file hierarchy.

-c  Display a grand total.

-d depth
    Display an entry for all files and directories depth directories deep.

-H  Symbolic links on the command line are followed, symbolic links in file hierarchies are not followed.

-h  "Human-readable" output. Use unit suffixes: Byte, Kilobyte, Megabyte, Gigabyte, Terabyte and Petabyte.

-I mask
    Ignore files and directories matching the specified mask.

-g  Display block counts in 1073741824-byte (1-Gbyte) blocks.

-k  Display block counts in 1024-byte (1-Kbyte) blocks.

-L  Symbolic links on the command line and in file hierarchies are followed.

-m  Display block counts in 1048576-byte (1-Mbyte) blocks.

-P  No symbolic links are followed. This is the default.

-r  Generate messages about directories that cannot be read, files that cannot be opened, and so on. This is the default case. This option exists solely for conformance with xpg4.

-s  Display an entry for each specified file. (Equivalent to -d 0)

-x  File system mount points are not traversed.

The du utility counts the storage used by symbolic links and not the files they reference unless the -H or -L option is specified. If either the -H or -L options are specified, storage used by any symbolic links which are followed is not counted or displayed. If more than one of the -H, -L, and -P options is specified, the last one given is used.

Files having multiple hard links are counted (and displayed) a single time per du execution. Directories having multiple hard links (typically Time Machine backups) are counted a single time per du execution.

ENVIRONMENT

BLOCKSIZE
    If the environment variable BLOCKSIZE is set, and the -k option is not specified, the block counts will be displayed in units of that size block. If BLOCKSIZE is not set, and the -k option is not specified, the block counts will be displayed in 512-byte blocks.

LEGACY DESCRIPTION
In legacy mode, only one of the -H, -L, or -P options may be specified.

The command will detect and report a SYMLOOP error (loop involving symbolic links). In legacy mode, this is not the case.

For more information about legacy mode, see compat(5).

SEE ALSO
df(1), fts(3), compat(5), symlink(7), quot(8)

HISTORY
A du command appeared in AT&T UNIX.